## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * resolve dependency loop with pipewire
%bcond_with check
%global debug_package %{nil}

%global crate libspa

Name:           rust-libspa0.7
Version:        0.7.2
Release:        %autorelease
Summary:        Rust bindings for libspa

License:        MIT
URL:            https://crates.io/crates/libspa
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * tighten libspa-sys, pipewire, pipewire-sys dependency from 0 to 0.7
Patch:          libspa-fix-metadata.diff
# coerce pointers to *mut i64 even on i686
# for functions that expect 64-bit values
# https://gitlab.freedesktop.org/pipewire/pipewire-rs/-/issues/98
Patch:          libspa-fix-32bit-compilation.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings for libspa.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v0_3_33-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v0_3_33-devel %{_description}

This package contains library source intended for building other packages which
use the "v0_3_33" feature of the "%{crate}" crate.

%files       -n %{name}+v0_3_33-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v0_3_75-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v0_3_75-devel %{_description}

This package contains library source intended for building other packages which
use the "v0_3_75" feature of the "%{crate}" crate.

%files       -n %{name}+v0_3_75-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch i686
# * pointer test panicked
# * test does not panic
%cargo_test -- -- --exact --skip pointer --skip result::tests::async_seq_panic
%else
# * test does not panic
%cargo_test -- -- --exact --skip result::tests::async_seq_panic
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Mar 31 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.2-1
- Initial import (libspa 0.7 compat package)
## END: Generated by rpmautospec
